// This file is auto-generated by @hey-api/openapi-ts

import { createClient, createConfig, type OptionsLegacyParser } from '@hey-api/client-fetch';
import type { GetLogsData, GetLogsError, GetLogsResponse } from './types.gen';

export const client = createClient(createConfig());

/**
 * Get logs for subject
 * Returns all logs matching specified subject.
 */
export const getLogs = <ThrowOnError extends boolean = false>(options: OptionsLegacyParser<GetLogsData, ThrowOnError>) => {
    return (options?.client ?? client).get<GetLogsResponse, GetLogsError, ThrowOnError>({
        ...options,
        url: '/logs/{queryID}'
    });
};